Debian Bug report logs - #627518
ITP: libjs-mathjax -- a cross-browser JavaScript display engine for LaTeX and MathML

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Sat, 21 May 2011 13:03:01 UTC

Owned by: patrick_@freenet.de

Severity: wishlist

Fixed in version mathjax/1.1-1

Done: Julien Jehannet <julien.jehannet@logilab.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, wnpp@debian.org:
Bug#627518; Package wnpp. (Sat, 21 May 2011 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
New Bug report received and forwarded. Copy sent to jwilk@debian.org, wnpp@debian.org. (Sat, 21 May 2011 13:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: mathjax -- JavaScript display engine for mathematics
Date: Sat, 21 May 2011 15:00:42 +0200
Package: wnpp
Severity: wishlist

* Package name    : mathjax
  Version         : 1.1
  Upstream Author : Design Science, Inc.
* URL             : http://www.mathjax.org/
* License         : Apache 2.0
  Programming Lang: JavaScript
  Description     : JavaScript display engine for mathematics

MathJax is a  display engine for LaTeX and MathML that works in all 
modern browsers. It uses web-based fonts (in those browsers that support 
it) to produce high-quality typesetting that scales and prints at full 
resolution (unlike mathematics included as images). It can be used with 
screen readers, providing accessibility for the visually impaired.

-- 
Jakub Wilk




Changed Bug title to 'ITP: libjs-mathjax -- a cross-browser JavaScript display engine for LaTeX and MathML' from 'RFP: mathjax -- JavaScript display engine for mathematics' Request was from patrick_@freenet.de to control@bugs.debian.org. (Fri, 01 Jul 2011 19:00:22 GMT) Full text and rfc822 format available.

Owner recorded as !thanks. Request was from patrick_@freenet.de to control@bugs.debian.org. (Fri, 01 Jul 2011 19:00:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, !thanks:
Bug#627518; Package wnpp. (Fri, 01 Jul 2011 19:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Ringl <patrick_@freenet.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, !thanks. (Fri, 01 Jul 2011 19:09:03 GMT) Full text and rfc822 format available.

Message #14 received at 627518@bugs.debian.org (full text, mbox):

From: Patrick Ringl <patrick_@freenet.de>
To: 627518@bugs.debian.org
Subject: ITP - libjs-mathjax
Date: Fri, 01 Jul 2011 21:06:11 +0200
Hi there,

I am going to package this one! :-)



regards,
Patrick







Owner changed from !thanks to patrick_@freenet.de. Request was from patrick_@freenet.de to control@bugs.debian.org. (Sat, 02 Jul 2011 20:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, patrick_@freenet.de:
Bug#627518; Package wnpp. (Thu, 01 Sep 2011 06:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, patrick_@freenet.de. (Thu, 01 Sep 2011 06:15:07 GMT) Full text and rfc822 format available.

Message #21 received at 627518@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Patrick Ringl <patrick_@freenet.de>
Cc: 627518@bugs.debian.org, team@neuro.debian.net, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Subject: how is it going with the ITP? it will be needed for upcoming ipython
Date: Thu, 1 Sep 2011 02:13:07 -0400
Hi Patrick,

Thanks for the ITP.  I wonder if there was any progress?

It will soon be needed for upcoming new ipython release, so I thought to
check on the status.

Thanks in advance

Cheers,
-- 
Yarik




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, patrick_@freenet.de:
Bug#627518; Package wnpp. (Mon, 19 Sep 2011 18:51:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Ringl <patrick_@freenet.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, patrick_@freenet.de. (Mon, 19 Sep 2011 18:51:13 GMT) Full text and rfc822 format available.

Message #26 received at 627518@bugs.debian.org (full text, mbox):

From: Patrick Ringl <patrick_@freenet.de>
To: Yaroslav Halchenko <debian@onerussian.com>, 627518@bugs.debian.org
Cc: Patrick Ringl <patrick_@freenet.de>, team@neuro.debian.net, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Subject: Re: Bug#627518: how is it going with the ITP? it will be needed for upcoming ipython
Date: Mon, 19 Sep 2011 20:49:12 +0200
Hi Yaro,

Sorry for the delayed response.
I havn't heard back from upstream yet - so I will begin packaging it 
anyway (and recontact them).


regards,
Patrick

On 09/01/2011 08:13 AM, Yaroslav Halchenko wrote:
> Hi Patrick,
>
> Thanks for the ITP.  I wonder if there was any progress?
>
> It will soon be needed for upcoming new ipython release, so I thought to
> check on the status.
>
> Thanks in advance
>
> Cheers,





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, patrick_@freenet.de:
Bug#627518; Package wnpp. (Fri, 21 Oct 2011 14:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Jehannet <julien.jehannet@logilab.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, patrick_@freenet.de. (Fri, 21 Oct 2011 14:42:03 GMT) Full text and rfc822 format available.

Message #31 received at 627518@bugs.debian.org (full text, mbox):

From: Julien Jehannet <julien.jehannet@logilab.fr>
To: 627518@bugs.debian.org
Cc: Yaroslav Halchenko <debian@onerussian.com>, team@neuro.debian.net, Patrick Ringl <patrick_@freenet.de>, "pkg-javascript-devel\@lists\.alioth\.debian\.org Debian Python Modules Team" <python-modules-team@lists.alioth.debian.org>
Subject: Re: Bug#627518: how is it going with the ITP? it will be needed for upcoming ipython
Date: Fri, 21 Oct 2011 16:40:11 +0200
[Message part 1 (text/plain, inline)]
(I've added Debian Javascript team in CC since they can be concerned as well)

I tried to reach Patrick Ringl in private last week but without success.

I don't know if it's duplicate work but I've packaged `libjs-mathjax` for internal use.
If someone has to build the binary package (or wants to review the packaging), you can find
the debian files here:

	http://bitbucket.org/juj/debian-libjs-mathjax

There are pending issues before a possible inclusion in Debian:
- possibly wrong doc-base metadata
- waiting for a confirmation of MathJax author(s) for copyright
  section (email address especially)

Some notes:
- use same Apache2 license for the packaging (best practice ?)
- no include of the MathJax site content (for offline browsing)
- use symlinks to jquery and underscore js libraries
- mention sphinx project for some copyrighted files
- use lintian override to avoid warning about Package-List field
  http://lists.debian.org/debian-policy/2011/03/msg00155.html
- upstream LICENSE file has no valid copyright holder


Hope that could help Patrick.

Best regards,
-- 
Julien JEHANNET                                          LOGILAB, Paris (France)
http://www.cubicweb.org                 CubicWeb, le cadriciel du web sémantique
http://www.logilab.org             Dépôt des logiciels libres conçus par Logilab
http://www.logilab.fr       Informatique scientifique & Gestion de connaissances
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, patrick_@freenet.de:
Bug#627518; Package wnpp. (Fri, 21 Oct 2011 15:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Jehannet <julien.jehannet@logilab.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, patrick_@freenet.de. (Fri, 21 Oct 2011 15:00:10 GMT) Full text and rfc822 format available.

Message #36 received at 627518@bugs.debian.org (full text, mbox):

From: Julien Jehannet <julien.jehannet@logilab.fr>
To: 627518@bugs.debian.org
Subject: Re: Bug#627518: how is it going with the ITP? it will be needed for upcoming ipython
Date: Fri, 21 Oct 2011 16:58:57 +0200
[Message part 1 (text/plain, inline)]
Humm,
pkg-javascript-devel@ address was mangled...
I forwarded previous email manually to pkg-javascript-devel@lists.alioth.debian.org
-- 
Julien JEHANNET                                          LOGILAB, Paris (France)
http://www.cubicweb.org                 CubicWeb, le cadriciel du web sémantique
http://www.logilab.org             Dépôt des logiciels libres conçus par Logilab
http://www.logilab.fr       Informatique scientifique & Gestion de connaissances
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, patrick_@freenet.de:
Bug#627518; Package wnpp. (Fri, 04 Nov 2011 15:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Jehannet <julien.jehannet@logilab.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, patrick_@freenet.de. (Fri, 04 Nov 2011 15:45:04 GMT) Full text and rfc822 format available.

Message #41 received at 627518@bugs.debian.org (full text, mbox):

From: Julien Jehannet <julien.jehannet@logilab.fr>
To: Yaroslav Halchenko <debian@onerussian.com>, Patrick Ringl <patrick_@freenet.de>
Cc: 627518@bugs.debian.org, team@neuro.debian.net, pkg-javascript-devel@lists.alioth.debian.org
Subject: Re: Bug#627518: ITP: libjs-mathjax -- a cross-browser JavaScript display engine
Date: Fri, 4 Nov 2011 16:42:25 +0100
[Message part 1 (text/plain, inline)]
No news is _not_ good news in case of ITP :-)


Patrick, are you still okay to package libjs-mathjax?

I don't know if Yaroslav Halchenko would make the initial upload
or if we have to look for maintainers.

For the record, packaging files are available here:

	http://bitbucket.org/juj/debian-libjs-mathjax


Best regards,

P.S. Debian Javascript team added in CC in case of some interest.

> * Julien Jehannet <julien.jehannet@logilab.fr> [21-oct.-2011 16:40]:
> 
> (...)
> 
> There are pending issues before a possible inclusion in Debian:
> - possibly wrong doc-base metadata
> - waiting for a confirmation of MathJax author(s) for copyright
>   section (email address especially)
> 
> Some notes:
> - use same Apache2 license for the packaging (best practice ?)
> - no include of the MathJax site content (for offline browsing)
> - use symlinks to jquery and underscore js libraries
> - mention sphinx project for some copyrighted files
> - use lintian override to avoid warning about Package-List field
>   http://lists.debian.org/debian-policy/2011/03/msg00155.html
> - upstream LICENSE file has no valid copyright holder
-- 
Julien JEHANNET
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, patrick_@freenet.de:
Bug#627518; Package wnpp. (Fri, 04 Nov 2011 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, patrick_@freenet.de. (Fri, 04 Nov 2011 18:15:03 GMT) Full text and rfc822 format available.

Message #46 received at 627518@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Patrick Ringl <patrick_@freenet.de>, 627518@bugs.debian.org, team@neuro.debian.net, pkg-javascript-devel@lists.alioth.debian.org
Subject: Re: Bug#627518: ITP: libjs-mathjax -- a cross-browser JavaScript display engine
Date: Fri, 4 Nov 2011 14:13:37 -0400
not sure if I would find time to dedicate... so it must be clean clean for me
to sponsor it right away (i.e. no new issues must be detected)  --
otherwise it would take looong and you might seek sponsorship elsewhere... so
here is the checklist to make sure to address

* MSG in README.Debian sounds like a showstopper

  Cannot find valid copyright holder.

  what is it about exactly since Design Science, Inc. <support@dessci.com> listed in debian/copyright...

  so resolve it one way or another ;)

* fixup packaging so it is fresh lintian clean and builds in  clean
  environment

  - I see from looking at debian/ online:
 
  #Vcs-Git: git://git.debian.org/collab-maint/libjs-mathjax.git
  #Vcs-Browser: http://git.debian.org/?p=collab-maint/libjs-mathjax.git;a=summary

  - double entries

    README-branch.txt

  - provide description in lintian override why it is legal

* debian/copyright looks complete  but it would be great if you assure that it
  is (another round of licensecheck -r --copyright .)

* make your GPG keys available on a public server
* upload signed packaging to mentors

Otherwise it looks like a great job -- should not be left without upload ;)


On Fri, 04 Nov 2011, Julien Jehannet wrote:

> No news is _not_ good news in case of ITP :-)


> Patrick, are you still okay to package libjs-mathjax?

> I don't know if Yaroslav Halchenko would make the initial upload
> or if we have to look for maintainers.

> For the record, packaging files are available here:

> 	http://bitbucket.org/juj/debian-libjs-mathjax


> Best regards,

> P.S. Debian Javascript team added in CC in case of some interest.

-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, patrick_@freenet.de:
Bug#627518; Package wnpp. (Mon, 07 Nov 2011 13:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Jehannet <julien.jehannet@logilab.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, patrick_@freenet.de. (Mon, 07 Nov 2011 13:45:09 GMT) Full text and rfc822 format available.

Message #51 received at 627518@bugs.debian.org (full text, mbox):

From: Julien Jehannet <julien.jehannet@logilab.fr>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: Patrick Ringl <patrick_@freenet.de>, 627518@bugs.debian.org, team@neuro.debian.net, pkg-javascript-devel@lists.alioth.debian.org
Subject: Re: Bug#627518: ITP: libjs-mathjax -- a cross-browser JavaScript display engine
Date: Mon, 7 Nov 2011 14:42:11 +0100
[Message part 1 (text/plain, inline)]
> * Yaroslav Halchenko <debian@onerussian.com> [04-nov.-2011 18:13]:
> not sure if I would find time to dedicate... so it must be clean clean for me
> to sponsor it right away (i.e. no new issues must be detected)  --
> otherwise it would take looong and you might seek sponsorship elsewhere... so
> here is the checklist to make sure to address
> 
> * MSG in README.Debian sounds like a showstopper

The problem concerned the LICENSE file only. But it seems that I didn't
correctly understand the point. I thought this file must be updated as well.

A bug was opened upstream:
	https://github.com/mathjax/MathJax/issues/180

Upstream authors answered to me. If someone could confirm, I will drop the
README.Debian and rebuild the package.


> * make your GPG keys available on a public server
http://pgp.mit.edu:11371/pks/lookup?op=vindex&search=0x099AD4C66AA05327

> * upload signed packaging to mentors
package was build in pbuilder in sid image. lintian output was checked.
http://mentors.debian.net/package/mathjax


¹ https://bitbucket.org/juj/debian-libjs-mathjax/changeset/24b42dfc4281
-- 
Julien JEHANNET                                          LOGILAB, Paris (France)
http://www.cubicweb.org                 CubicWeb, le cadriciel du web sémantique
http://www.logilab.org             Dépôt des logiciels libres conçus par Logilab
http://www.logilab.fr       Informatique scientifique & Gestion de connaissances
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, patrick_@freenet.de:
Bug#627518; Package wnpp. (Thu, 10 Nov 2011 10:36:57 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Jehannet <julien.jehannet@logilab.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, patrick_@freenet.de. (Thu, 10 Nov 2011 10:36:59 GMT) Full text and rfc822 format available.

Message #56 received at 627518@bugs.debian.org (full text, mbox):

From: Julien Jehannet <julien.jehannet@logilab.fr>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: 627518@bugs.debian.org
Subject: Re: Bug#627518: ITP: libjs-mathjax -- a cross-browser JavaScript display engine
Date: Thu, 10 Nov 2011 11:22:34 +0100
[Message part 1 (text/plain, inline)]
Yaroslav,

I put a new source package yesterday that must be ok to upload now:

	http://mentors.debian.net/package/mathjax

You can find my GPG key on:

	http://pgp.mit.edu:11371/pks/lookup?op=vindex&search=0x099AD4C66AA05327


Comment:

I deleted the README.Debian since It was a false-positive issue: upstream
authors are kindly answered.
Just to improve my "legal knownledge", I open a recent thread on debian-legal:

	http://lists.debian.org/debian-legal/2011/11/msg00004.html


Regards,
-- 
Julien JEHANNET                                          LOGILAB, Paris (France)
http://www.cubicweb.org                 CubicWeb, le cadriciel du web sémantique
http://www.logilab.org             Dépôt des logiciels libres conçus par Logilab
http://www.logilab.fr       Informatique scientifique & Gestion de connaissances
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, patrick_@freenet.de:
Bug#627518; Package wnpp. (Thu, 10 Nov 2011 15:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, patrick_@freenet.de. (Thu, 10 Nov 2011 15:12:04 GMT) Full text and rfc822 format available.

Message #61 received at 627518@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Julien Jehannet <julien.jehannet@logilab.fr>
Cc: 627518@bugs.debian.org
Subject: Re: Bug#627518: ITP: libjs-mathjax -- a cross-browser JavaScript display engine
Date: Thu, 10 Nov 2011 10:11:26 -0500
awesome!! almost there

since tarball is unstripped of 3rd party, their copyright still needs to
be listed (ie for jquery.js)

brain@neurodebian:~/debs/mathjax-1.1$ find -iname \*.js | xargs grep -ih copyright | sort | uniq 
 * Copyright 2010, John Resig
 * Copyright 2010, The Dojo Foundation
 *  Copyright (c) 2009-2010 by Design Science, Inc.
 *  Copyright (c) 2009-2010 Design Science, Inc.
 *  Copyright (c) 2009-2011 Design Science, Inc.
 *  Copyright (c) 2009 Design Science, Inc.
 *  Copyright (c) 2010-11 Design Science, Inc.
 *  Copyright (c) 2010-2011 Design Science, Inc.
 *  Copyright (c) 2010 Design Science, Inc.
 *  Copyright (c) 2011 Design Science, Inc.
 * :copyright: Copyright 2007-2011 by the Sphinx team, see AUTHORS.
brain@neurodebian:~/debs/mathjax-1.1$ grep Dojo debian/*
brain@neurodebian:~/debs/mathjax-1.1$ grep -i Dojo debian/*
brain@neurodebian:~/debs/mathjax-1.1$ grep -i Resig debian/*
brain@neurodebian:~/debs/mathjax-1.1$ grep -r Resig -l .
./docs/html/_static/jquery.js
brain@neurodebian:~/debs/mathjax-1.1$ grep -r Dojo -l .
./docs/html/_static/jquery.js


On Thu, 10 Nov 2011, Julien Jehannet wrote:

> Yaroslav,

> I put a new source package yesterday that must be ok to upload now:

> 	http://mentors.debian.net/package/mathjax

> You can find my GPG key on:

> 	http://pgp.mit.edu:11371/pks/lookup?op=vindex&search=0x099AD4C66AA05327


> Comment:

> I deleted the README.Debian since It was a false-positive issue: upstream
> authors are kindly answered.
> Just to improve my "legal knownledge", I open a recent thread on debian-legal:

> 	http://lists.debian.org/debian-legal/2011/11/msg00004.html


> Regards,
-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, patrick_@freenet.de:
Bug#627518; Package wnpp. (Mon, 14 Nov 2011 09:42:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Jehannet <julien.jehannet@logilab.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, patrick_@freenet.de. (Mon, 14 Nov 2011 09:42:18 GMT) Full text and rfc822 format available.

Message #66 received at 627518@bugs.debian.org (full text, mbox):

From: Julien Jehannet <julien.jehannet@logilab.fr>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: 627518@bugs.debian.org
Subject: Re: Bug#627518: ITP: libjs-mathjax -- a cross-browser JavaScript display engine
Date: Mon, 14 Nov 2011 10:39:56 +0100
[Message part 1 (text/plain, inline)]
> * Yaroslav Halchenko <debian@onerussian.com> [10-nov.-2011 16:11]:
> awesome!! almost there
> 
> since tarball is unstripped of 3rd party, their copyright still needs to
> be listed (ie for jquery.js)

Thanks again for the review, I corrected with new debian/copyright sections.
You could find a diff from the previous debian.tar.gz in attachment.

http://mentors.debian.net/package/mathjax

Kind regards,
-- 
Julien JEHANNET                                          LOGILAB, Paris (France)
[fix-3rd-party.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, patrick_@freenet.de:
Bug#627518; Package wnpp. (Thu, 17 Nov 2011 22:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, patrick_@freenet.de. (Thu, 17 Nov 2011 22:27:05 GMT) Full text and rfc822 format available.

Message #71 received at 627518@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Julien Jehannet <julien.jehannet@logilab.fr>, 627518@bugs.debian.org
Subject: Re: Bug#627518: ITP: libjs-mathjax -- a cross-browser JavaScript display engine
Date: Thu, 17 Nov 2011 17:22:09 -0500
sorry about the delay -- was busy/traveling... checked, uploaded...
let's see how it goes ;)

On Mon, 14 Nov 2011, Julien Jehannet wrote:
> > * Yaroslav Halchenko <debian@onerussian.com> [10-nov.-2011 16:11]:
> > awesome!! almost there

> > since tarball is unstripped of 3rd party, their copyright still needs to
> > be listed (ie for jquery.js)

> Thanks again for the review, I corrected with new debian/copyright sections.
> You could find a diff from the previous debian.tar.gz in attachment.

> http://mentors.debian.net/package/mathjax

> Kind regards,
-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 18 Nov 2011 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to Julien Jehannet <julien.jehannet@logilab.fr>:
You have taken responsibility. (Mon, 21 Nov 2011 12:51:03 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Mon, 21 Nov 2011 12:51:09 GMT) Full text and rfc822 format available.

Message #78 received at 627518-close@bugs.debian.org (full text, mbox):

From: Julien Jehannet <julien.jehannet@logilab.fr>
To: 627518-close@bugs.debian.org
Subject: Bug#627518: fixed in mathjax 1.1-1
Date: Mon, 21 Nov 2011 12:48:46 +0000
Source: mathjax
Source-Version: 1.1-1

We believe that the bug you reported is fixed in the latest version of
mathjax, which is due to be installed in the Debian FTP archive:

libjs-mathjax_1.1-1_all.deb
  to main/m/mathjax/libjs-mathjax_1.1-1_all.deb
mathjax_1.1-1.debian.tar.gz
  to main/m/mathjax/mathjax_1.1-1.debian.tar.gz
mathjax_1.1-1.dsc
  to main/m/mathjax/mathjax_1.1-1.dsc
mathjax_1.1.orig.tar.gz
  to main/m/mathjax/mathjax_1.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627518@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Jehannet <julien.jehannet@logilab.fr> (supplier of updated mathjax package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 05 Nov 2011 04:28:46 +0100
Source: mathjax
Binary: libjs-mathjax
Architecture: source all
Version: 1.1-1
Distribution: unstable
Urgency: low
Maintainer: Julien Jehannet <julien.jehannet@logilab.fr>
Changed-By: Julien Jehannet <julien.jehannet@logilab.fr>
Description: 
 libjs-mathjax - open-source JavaScript display engine for LaTeX and MathML
Closes: 627518
Changes: 
 mathjax (1.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #627518)
Checksums-Sha1: 
 ba776cc2c63286a9843e16007a6eef3a7e223551 1072 mathjax_1.1-1.dsc
 342a8a3a638f2deedf90c6ebec73e7084a4416f4 7342477 mathjax_1.1.orig.tar.gz
 c65a23985c36dd5ef73a29b3a40777e2b23cfb40 3850 mathjax_1.1-1.debian.tar.gz
 6911176465c387e3e8727ce086611a51baedfee9 7510064 libjs-mathjax_1.1-1_all.deb
Checksums-Sha256: 
 380ebe065d2f9b8e9c6e5067b3f8693045c61ed633036d5f8bc8a1fbbed2673c 1072 mathjax_1.1-1.dsc
 e72a6aa763493c1fd99c2fbf5a8ce88cccced472848fe81db08b0f8aa9d7a0dc 7342477 mathjax_1.1.orig.tar.gz
 e40834fbcc5e44ad29976e5eca26a1ec44dc6a26e876e8c02233d3f7b5bd76db 3850 mathjax_1.1-1.debian.tar.gz
 8f153f881fbd01ec5276faca20b66b601fd1ec0abcb0f94c79c3c5a9e739285f 7510064 libjs-mathjax_1.1-1_all.deb
Files: 
 5d6058967966718b9e196ab39aa4b020 1072 web extra mathjax_1.1-1.dsc
 c74b3275f4a422cbe027c6f4e45bec1f 7342477 web extra mathjax_1.1.orig.tar.gz
 fcd8576ce06d2920304324a07f7e68d0 3850 web extra mathjax_1.1-1.debian.tar.gz
 9e659ea601eb6f9f80e9a7efa51703d1 7510064 web extra libjs-mathjax_1.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk7FiNcACgkQjRFFY3XAJMih4ACeK0m99fhsm6kM6ez9Crzl8wfZ
UVEAoJgKq++TbCk+6U/7fxLWaAYX5Z+h
=5SwB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Dec 2011 07:37:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:49:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.